{
	"format_version": "1.13.0",
	"minecraft:tree_feature": {
		"description": {
			"identifier": "nicothekid:tree_x_swampy_01"
		},
		"trunk": {
			"trunk_height": {
				"range_min": 6,
				"range_max": 9
			},
			"trunk_block": {
        "name": "minecraft:log",
        "states": {
          "old_log_type": "oak"
        }
      },
      "can_be_submerged": {
        "max_depth": 2
      },
      "trunk_decoration": {
        "decoration_block": "minecraft:vine",
        "decoration_chance": {
          "numerator": 6,
          "denominator": 7
        }
      }
		},
		"canopy": {
			"canopy_offset": {
				"min": -2,
				"max": 0
			},
			"leaf_block": {
        "name": "minecraft:leaves",
        "states": {
          "old_leaf_type": "oak"
        }
      },
			"min_width": 2,
			"variation_chance": [
        {
          "numerator": 1,
          "denominator": 2
        },
        {
          "numerator": 1,
          "denominator": 2
        },
        {
          "numerator": 1,
          "denominator": 2
        },
        {
          "numerator": 1,
          "denominator": 1
        }
      ],
			"canopy_decoration": {
				"decoration_block": {
				  "name": "minecraft:leaves",
				  "states": {
				    "old_leaf_type": "oak"
				  }
				},
				"decoration_chance": {
					"numerator": 3,
					"denominator": 6
				},
				"num_steps": 2,
				"step_direction": "down"
			}
		},
		"base_block": [
      "minecraft:dirt"
    ],
    "may_grow_on": [
      {
        "tags": "query.any_tag('corrupted_dirt')"
      },
      "minecraft:dirt",
      "minecraft:dirt_with_roots",
      "minecraft:farmland",
      "minecraft:grass",
      "minecraft:moss_block",
      "minecraft:podzol"
    ],
    "may_replace": [
      {
        "tags": "query.any_tag('custom_leaves')"
      },
      {
        "tags": "query.any_tag('custom_plant')"
      },
      {
        "tags": "query.any_tag('custom_carpet')"
      },
      "minecraft:air",
      "minecraft:leaves",
      "minecraft:leaves2",
      "minecraft:mangrove_leaves",
      "minecraft:azalea_leaves",
      "minecraft:azalea_leaves_flowered",
      "minecraft:azalea",
      "minecraft:flowering_azalea",
      "minecraft:moss_carpet",
      "minecraft:small_dripleaf_block",
      "minecraft:big_dripleaf",
      "minecraft:double_plant",
      "minecraft:tallgrass",
      "minecraft:brown_mushroom",
      "minecraft:red_mushroom",
      "minecraft:glow_lichen",
      "minecraft:sculk_vein",
      "minecraft:vine",
      "minecraft:water",
      "minecraft:web"
    ]
	}
}